Issue #12733 has been updated by vo.x (Vit Ondruch).


The upstream version of minitest 4.7.5 supported spec syntax. It does not probably support all the RSpec features, but  might be worth of considering ...

----------------------------------------
Feature #12733: Bundle bundler to ruby core
https://bugs.ruby-lang.org/issues/12733#change-65699

* Author: hsbt (Hiroshi SHIBATA)
* Status: Assigned
* Priority: Normal
* Assignee: hsbt (Hiroshi SHIBATA)
* Target version: 2.5
----------------------------------------
rubygems team has plan to migrate bundler into rubygems at rubygems 3.0.

ref. https://github.com/rubygems/rubygems/issues/1681

In current status, rubygems only use `Bundler` module on test suites.
But we should track rubygems upstream step by step. I propose to bundle bundler
for stdlib as default gem on ruby core repository.

but we have some consideration. such as

 * bundler uses rspec for test suites. How to use rspec on ruby core repository?
 * Who are maintain bundler on ruby core repository?

This issue is epic topic. Please comment your concerns or idea. 



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>